Bug 1692686 - registry-namespace parameter is not needed for the kubefed2 enable and disable cmd
Summary: registry-namespace parameter is not needed for the kubefed2 enable and disabl...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Federation
Version: 4.1.0
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
: 4.1.0
Assignee: Ivan Font
QA Contact: Qin Ping
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-03-26 08:56 UTC by Qin Ping
Modified: 2019-05-17 15:31 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-17 15:31:59 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Qin Ping 2019-03-26 08:56:42 UTC
Description of problem:
registry-namespace parameter is not needed for the kubefed2 enable and disable cmd


Version-Release number of selected component (if applicable):
$ oc get clusterversion
NAME      VERSION                             AVAILABLE   PROGRESSING   SINCE     STATUS
version   4.0.0-0.nightly-2019-03-25-180911   True        False         57m       Cluster version is 4.0.0-0.nightly-2019-03-25-180911

kubefed2 version: version.Info{Version:"0.0.6", GitCommit:"de6a0a909418f5ddf2d04d232b0ca55aa9cffb49", GitTreeState:"clean", BuildDate:"2019-03-14T00:43:37Z", GoVersion:"go1.11.5", Compiler:"gc", Platform:"linux/amd64"}

Federation v2 controller-manager version: version.Info{Version:"0.0.6", GitCommit:"de6a0a909418f5ddf2d04d232b0ca55aa9cffb49", GitTreeState:"clean", BuildDate:"2019-03-14T00:43:37Z", GoVersion:"go1.11.5", Compiler:"gc", Platform:"linux/amd64"}


How reproducible:


Steps to Reproduce:
1. 
2.
3.

Actual results:
$ ./kubefed2 enable -h|grep ^Flags -A 10
Flags:
      --dry-run                       Run the command in dry-run mode, without making any server requests.
      --federation-group string       The name of the API group to use for the generated federation type. (default "types.federation.k8s.io")
      --federation-namespace string   Namespace in the host cluster where the federation system components are installed.  This namespace will also be the target of propagation if the controller manager is configured with --limited-scope and clusters are joined with --limited-scope. (default "federation-system")
      --federation-version string     The API version to use for the generated federation type. (default "v1alpha1")
  -f, --filename string               If provided, the command will be configured from the provided yaml file.  Only --output wll be accepted from the command line
  -h, --help                          help for enable
      --host-cluster-context string   Host cluster context
  -o, --output string                 If provided, the resources that would be created in the API by the command are instead output to stdout in the provided format.  Valid values are ['yaml'].
      --registry-namespace string     Namespace in the host cluster where clusters are registered (default "kube-multicluster-public")
      --version string                Optional, the API version of the target type.


$ ./kubefed2 disable -h|grep ^Flags -A 6
Flags:
      --delete-from-api               Whether to remove the API resources added by 'enable'.
      --dry-run                       Run the command in dry-run mode, without making any server requests.
      --federation-namespace string   Namespace in the host cluster where the federation system components are installed.  This namespace will also be the target of propagation if the controller manager is configured with --limited-scope and clusters are joined with --limited-scope. (default "federation-system")
  -h, --help                          help for disable
      --host-cluster-context string   Host cluster context
      --registry-namespace string     Namespace in the host cluster where clusters are registered (default "kube-multicluster-public")


Expected results:


Additional info:

Comment 1 Ivan Font 2019-04-09 22:28:17 UTC
I've filed an upstream issue to resolve various kubefed2 option issues including the one captured by this bugzilla:

https://github.com/kubernetes-sigs/federation-v2/issues/738

Comment 2 Ivan Font 2019-04-11 01:34:22 UTC
Upstream PR for fix: https://github.com/kubernetes-sigs/federation-v2/pull/739

Comment 3 Ivan Font 2019-05-13 19:02:38 UTC
Fixed in version 0.0.10.

Comment 4 Maru Newby 2019-05-14 05:08:21 UTC
Note that `--registry-namespace` has been removed entirely from upstream and this will be reflected in the release after v0.0.10.

Comment 5 Qin Ping 2019-05-14 08:04:18 UTC
verified with:
$ ./kubefedctl version
kubefedctl version: version.Info{Version:"v0.0.10-dirty", GitCommit:"71d233ede685707df554ef653e06bf7f0229415c", GitTreeState:"dirty", BuildDate:"2019-05-06T22:30:31Z", GoVersion:"go1.11.2", Compiler:"gc", Platform:"linux/amd64"}


Note You need to log in before you can comment on or make changes to this bug.